# glade-test

Some experimentation with GTK+ 3.0 / Glade GUIs in Go and Python, particularly
for a mobile app UI with multiple screens.

![Screenshot](screenshot.png)

Some features exercised:

* A single-window app with multiple screens ("About" button slides to the
  About screen, Menu->Home button transitions back to main screen, etc.)
* Dynamically added buttons to a Gtk.Box defined in the Glade file. The buttons
  click into a "Detail" screen updated with the label of the button clicked.
* Menu->Open builds a dynamic Open File dialog.
* Menu->New shows a custom New File dialog defined in the Glade file.

## Python Setup

```bash
# Install dependencies (Fedora)
sudo dnf install gobject-introspection-devel

# Python dependencies
pip install -r requirements.txt

# Run it
python main.py
```
